#include <bits/stdc++.h>

using namespace std;

int main()
{
    int N, L, niz[1001];
    cin>>N>>L;
    for(int i = 0; i < N; i++){
        cin>>niz[i];
    }
    for(int i = 0; i < N; i++){
        if(niz[i] <= L){
            cout<< i+1 << endl;
            return 0;
        }
    }
    cout<< -1 << endl;
    return 0;
}